#!/bin/sh
# job name (default is name of pbs script file)
#PBS -N DIC-2D-Bodelot08
# resource limits: number of CPUs to be used
#PBS -l nodes=1:ppn=4
# resource limits: amount of memory to be used
#PBS -l mem=2000mb,vmem=2000mb
# resource limits: max. wall clock time during which job can be running
#PBS -l walltime=00:10:00


# Go to submission directory
cd $PBS_O_WORKDIR

export OMP_SCHEDULE=dynamic
export OMP_NUM_THREADS=4
export TIME='Elapsed : %e ,User: %U ,CPU : %P ,Max Res Mem : %R ,command : %C'


# compile code
# cd  ../../YaDICs_V04.14.a/build/ && cmake ../ && make && cd -

# compile documentation
# cd  ../../Documentation && doxygen Doxyfile && cd -
# firefox ../../documentation/html/

# compile parameter file
ncgen3 -o ./parameter.nc ./parameter.h

# launch code
time ../../YaDICs_V04.14.a/build/YaDICs -p ./parameter.nc -o ./Correlation/Bodelot08_ > out.txt
